MyGUI: MyGUI::RotatingSkinStateInfo Class Reference

MyGUI 3.2.2

Public Types | Public Member Functions | Static Public Member Functions
MyGUI::RotatingSkinStateInfo Class Reference

`#include <MyGUI_CommonStateInfo.h>`

Inheritance diagram for MyGUI::RotatingSkinStateInfo:
[legend]

## Public Types
typedef RTTIBase | Base
typedef RotatingSkinStateInfo | RTTIBase
Public Types inherited from MyGUI::IStateInfo
typedef RTTIBase | Base
typedef IStateInfo | RTTIBase
Public Types inherited from MyGUI::ISerializable
typedef RTTIBase | Base
typedef ISerializable | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const
virtual bool | isType (const std::type_info &_type) const
template<typename Type >
bool | isType () const
| RotatingSkinStateInfo ()
virtual | ~RotatingSkinStateInfo ()
float | getAngle () const
const IntPoint & | getCenter () const
const FloatRect & | getRect () const
Public Member Functions inherited from MyGUI::IStateInfo
template<typename Type >
bool | isType () const
virtual | ~IStateInfo ()
Public Member Functions inherited from MyGUI::ISerializable
template<typename Type >
bool | isType () const
| ISerializable ()
virtual | ~ISerializable ()
virtual void | serialization (xml::ElementPtr _node, Version _version)
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()
virtual | ~IObject ()

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IStateInfo
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISerializable
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Detailed Description

Definition at line 119 of file MyGUI_CommonStateInfo.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::RotatingSkinStateInfo::Base

Definition at line 122 of file MyGUI_CommonStateInfo.h.

## ◆ RTTIBase

typedef RotatingSkinStateInfo MyGUI::RotatingSkinStateInfo::RTTIBase

Definition at line 122 of file MyGUI_CommonStateInfo.h.

## Constructor & Destructor Documentation

## ◆ RotatingSkinStateInfo()

MyGUI::RotatingSkinStateInfo::RotatingSkinStateInfo | ( |  | ) |
| inline

Definition at line 125 of file MyGUI_CommonStateInfo.h.

## ◆ ~RotatingSkinStateInfo()

virtual MyGUI::RotatingSkinStateInfo::~RotatingSkinStateInfo | ( |  | ) |
| inlinevirtual

Definition at line 130 of file MyGUI_CommonStateInfo.h.

## Member Function Documentation

## ◆ getAngle()

float MyGUI::RotatingSkinStateInfo::getAngle | ( |  | ) | const
| inline

Definition at line 132 of file MyGUI_CommonStateInfo.h.

## ◆ getCenter()

const IntPoint& MyGUI::RotatingSkinStateInfo::getCenter | ( |  | ) | const
| inline

Definition at line 137 of file MyGUI_CommonStateInfo.h.

## ◆ getClassTypeName()

static const std::string& MyGUI::RotatingSkinStateInfo::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 122 of file MyGUI_CommonStateInfo.h.

## ◆ getRect()

const FloatRect& MyGUI::RotatingSkinStateInfo::getRect | ( |  | ) | const
| inline

Definition at line 142 of file MyGUI_CommonStateInfo.h.

## ◆ getTypeName()

virtual const std::string& MyGUI::RotatingSkinStateInfo::getTypeName | ( |  | ) | const
| inlinevirtual

Get type name as string

Reimplemented from MyGUI::IStateInfo.

Definition at line 122 of file MyGUI_CommonStateInfo.h.

## ◆ isType() [1/2]

template<typename Type >

bool MyGUI::RotatingSkinStateInfo::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 122 of file MyGUI_CommonStateInfo.h.

## ◆ isType() [2/2]

virtual bool MyGUI::RotatingSkinStateInfo::isType | ( | const std::type_info & | _type | ) | const
| inlinevirtual

Compare with selected type

Reimplemented from MyGUI::IStateInfo.

Definition at line 122 of file MyGUI_CommonStateInfo.h.

The documentation for this class was generated from the following file:

- MyGUI_CommonStateInfo.h